%option noyywrap
%{
#include <stdlib.h>
#include <string.h>
#include "funkcija.h"
#include "pii-2005.12.tab.hpp"
%}
%%
sin		{return SIN;}
cos		{return COS;}
exp		{return EXP;}
[0-9]+(\.[0-9]*)?	{yylval.num_attr = atof(yytext); return NUM;}
[x()+*=\n\[\]]	return *yytext;
[']		{return *yytext;}
[a-zA-Z]+	{yylval.str_attr = strdup(yytext); return ID;}
[\t ]
%%
